Bug 499344 - Auto Ethernet overwrites values provided by DHCP server [NEEDINFO]
Auto Ethernet overwrites values provided by DHCP server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
: 501386 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-06 05:33 EDT by Carl-Johan Kjellander
Modified: 2009-12-18 04:24 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:24:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (carljohan)


Attachments (Terms of Use)

  None (edit)
Description Carl-Johan Kjellander 2009-05-06 05:33:38 EDT
Description of problem:
I have a machine that like all the other machines in our network
gets its IP and DNS settings from our DHCP server. And the DHCP
server works fine for all other machines.

But on this one machine, the values supplied by the DHCP server
gets overwritten by old settings from NetworkManager.

And even though everything in NetworkManager is set to
"Automagic", it still overwrites /etc/resolv.conf with old
values from our old network, and uses .localdomain even though
we supply a new domain via dhcp. 

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Boot up machine
2. Log in
  
Actual results:
In /etc/resolv.conf the nameservers gets overwritten by
nameserver 129.16.1.3 #which doesn't even exist any more
                      #hence it doesn't work

The ddns-name for this machine gets set to 
myhost.localdomain.ourrealdomain.com

There is both an Auto Ethernet and a System eth0 in
NetworkManager, and I can't remove System eth0.

Expected results:
It should use the values supplied by the DHCP server, and
not overwrite them.

And it should set the DDNS-name to what we set the hostname
to in /etc/sysconfig/network

Additional info:
Now the offending values are all in ifcfg-eth0 as DNS1=
and DOMAIN=. Why are there hardcoded values in eth0 if
everything is set to automatic?

Why is there both Auto Ethernet and System eth0? And why
can't System eth0 be removed?

There should be a foolproof way to reset the NetworkManager
to just forget everything old and just use the values provided
by DHCP, but there isn't.

And if I remove the offending lines from ifcfg-eth0 then
it just removes the nameserver from /etc/resolv.conf so
that isn't an option either.

Here is ifcfg-eth0:

DEVICE=eth0
BOOTPROTO=dhcp
HWADDR=00:1f:d0:83:dd:65
IPV6INIT=yes
IPV6_AUTOCONF=yes
ONBOOT=yes
TYPE=Ethernet
USERCTL=no
PEERDNS=no

Any tips?
Comment 1 Dan Williams 2009-05-07 07:51:56 EDT
If you run nm-connection-editor, can you delete "Auto Ethernet"?  It may be a user setting that got saved when you clicked on it in the UI at one point.
Comment 2 Carl-Johan Kjellander 2009-05-07 14:00:22 EDT
Yes. Delete:ing "Auto Ethernet" works. And it fixes most of the problems
that I was having. It now longer overwrites the aforementioned files.

It was very confusing since you _should_ use "Auto Wireless" for wlan,
but not use "Auto Ethernet".

And why was it overwriting?

And why is there no button saying. "Reset this networkmanager back to
the stoneage cause something has made a mistake"? If you have a gui,
as opposed to the hard coded files in say RedHat Linux 5.2, you need to
be able to do resonable fixes. The error message when I tried to do
delete on "System Eth0" can't be understood unless your actually coded
NetworkManager yourself. "Read only configuration not deletable" or
something similarly cryptic.

It should say: "System Eth0 is not deletable cause this is the default
network configuration that you actually have! If you have other
conflicting configurations, delete them."

Or something similar.
Comment 3 Niels Haase 2009-05-07 14:41:00 EDT
Reporter,

the feature of editing and also deleting the "System EthX" was introduced in NetworkManager 0.7.1-2.git20090414.

* Tue Apr 14 2009 Dan Williams <dcbw@redhat.com> - 1:0.7.1-2.git20090414 - ifcfg-rh: enable write support for wired and wifi connections 

You can find this feature in F11 (or rawhide) at the moment. 

You wrote that the suggestion from Dan fixes most of the problems you have. Are there still problems unsolved?


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 4 Carl-Johan Kjellander 2009-05-07 15:28:38 EDT
It depends on what you mean.

Yes, right now, my machine is working since I deleted "Auto Ethernet", which I didn't want to do since it was the one I was using and that was de default one. It is nonsensical to delete the configuration you are currently using. That's why I was trying to delete System Eth0.

But that is only half of the problem.

Since Fedora 9, I've had both Auto Ethernet, and System Eth0, and even though I have a Masters degree in computer science, worked with teaching computer programming for several years and used RedHat linux since 1998, I couldn't figure out which of the two was the correct interface and which was the buggy one.

It's confusing, is all I'm saying.

NetworkManager is still broken if doesn't have a good way of saying which is the real interface and which is some broken old config from before that you need to remove. "Auto Ethernet" with all "Automatically configure everything" seemed fine for me? If someone less computer savvy encounters this, they will be stuck with it.

For one thing, explain to me what "Auto Ethernet" and "System Eth0" means? I have no clue. To me, the former would use eth0 since that is my network card? Why where there two? How do I know which one is right?

Think Mac OS X and their configuration. They did it right. Just, "Make a new config" and you start from scratch. So easy and intuitive, and if that existed in NetworkManager I wouldn't have had the wrong configuration for 6 months.

The problems only started happening when we set up our own DNS-server to access our machines internally and my box didn't follow what the dhcp-server told it to do. This problem will happen on tons of boxes all over the world, and people won't know how to fix them.
Comment 5 Niels Haase 2009-05-07 16:34:07 EDT
(In reply to comment #4)

> Since Fedora 9, I've had both Auto Ethernet, and System Eth0, and even though I
> have a Masters degree in computer science, worked with teaching computer
> programming for several years and used RedHat linux since 1998, I couldn't
> figure out which of the two was the correct interface and which was the buggy
> one.

Unfortunately it's more complicated then you think. It's more then that the System Eth0 is the one who are create for you by anaconda at the installation. As Dan wrote "It may be a user setting that got saved when you clicked on it in the UI at one point.". This has create the "Auto Ethernet" I think. But this two configurations try to work together. The "System Eth0" is the base and all settings in "Auto Ethernet" gets additional to the "System Eth0". But only things who are additional. Like in your Bug Report, "System Eth0" gets the dns from dhcp and "Auto Ethernet" overwrite them.

> 
> It's confusing, is all I'm saying.
> 
> NetworkManager is still broken if doesn't have a good way of saying which is
> the real interface and which is some broken old config from before that you
> need to remove. "Auto Ethernet" with all "Automatically configure everything"
> seemed fine for me? If someone less computer savvy encounters this, they will
> be stuck with it.

As i wrote above in Comment #3. The NetworkManager version in Rawhide has not this Problem, because he allow you to edit the "System Eth0" direct and will not create the "Auto Ethernet". Maybe Dan can push it out trough update testing for the F10 users.

But i give you right, it all the way really unclear what's happened here. It's at least the combination of the old system-config-network and NetworkManager what caused all the confusion in F9/10. Hope it will be better with F11.

Hope that it was clear what I wrote (I'm non native English) and it answers you open question, please feel free to ask if something stay unclear for you.


-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 6 Carl-Johan Kjellander 2009-05-10 17:59:23 EDT
I spoke too soon. I was able to delete Auto Ethernet, but it still overwrites
/etc/resolv.conf and remove all nameservers, even if I'm on system eth0.

How can I manually reset all files to use only what DHCP gives me?

/cjk
Comment 7 Niels Haase 2009-05-21 20:43:45 EDT
*** Bug 501386 has been marked as a duplicate of this bug. ***
Comment 8 Dan Williams 2009-10-16 18:19:47 EDT
Carl-Johan, can you give some logs from /var/log/messages that show the problem?  For example, mine look like:

NetworkManager: <info>  Activation (usb0) Stage 3 of 5 (IP Configure Start) complete.
NetworkManager: <info>  Activation (usb0) Stage 4 of 5 (IP6 Configure Get) started...
NetworkManager: <info>  Activation (usb0) Stage 4 of 5 (IP6 Configure Get) complete.
Internet Systems Consortium DHCP Client 4.1.0p1
Copyright 2004-2009 Internet Systems Consortium.
All rights reserved.
For info, please visit http://www.isc.org/sw/dhcp/

NetworkManager: <info>  DHCP: device usb0 state changed normal exit -> preinit
Listening on LPF/usb0/02:80:37:18:03:00
Sending on   LPF/usb0/02:80:37:18:03:00
Sending on   Socket/fallback
DHCPDISCOVER on usb0 to 255.255.255.255 port 67 interval 3
DHCPOFFER from 25.161.39.93
DHCPREQUEST on usb0 to 255.255.255.255 port 67
DHCPACK from 25.161.39.93
NetworkManager: <info>  DHCP: device usb0 state changed preinit -> bound
NetworkManager: <info>  Activation (usb0) Stage 4 of 5 (IP4 Configure Get) scheduled...
NetworkManager: <info>  Activation (usb0) Stage 4 of 5 (IP4 Configure Get) started...
NetworkManager: <info>    address 25.161.39.94
NetworkManager: <info>    prefix 30 (255.255.255.252)
NetworkManager: <info>    gateway 25.161.39.93
NetworkManager: <info>    nameserver '10.177.0.34'
NetworkManager: <info>    nameserver '10.163.140.242'
NetworkManager: <info>  Activation (usb0) Stage 5 of 5 (IP Configure Commit) scheduled...
NetworkManager: <info>  Activation (usb0) Stage 4 of 5 (IP4 Configure Get) complete.
NetworkManager: <info>  Activation (usb0) Stage 5 of 5 (IP Configure Commit) started...
bound to 25.161.39.94 -- renewal in 134 seconds.
NetworkManager: <info>  (usb0): device state change: 7 -> 8 (reason 0)
NetworkManager: <info>  Policy set 'Auto usb0' (usb0) as default for routing and DNS.

And then after that point, what does /etc/resolv.conf contain?  It should contain the same nameservers that are shown as above, *unless* you have "PEERDNS=no" set in the ifcfg file for that connection, or if you have set "Automatic (addresses only)" in the connection editor for that connection.

But /var/log/messages from around the time the problem appears would be imensely useful.  Thanks!
Comment 9 Bug Zapper 2009-11-18 06:54:22 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2009-12-18 04:24:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.